# Class BrightcovePlaylist

#####
Index

### Constructors

constructor

### Properties

createdAt
description
id
name
referenceId
search
type
updatedAt
videos

## Constructors

### constructor

- new BrightcovePlaylist(playlistDto): BrightcovePlaylist

- #### Parameters

  - playlistDto: PlaylistDto

  #### Returns BrightcovePlaylist

## Properties

### `Readonly` createdAt

createdAt: null | Date

### `Readonly` description

description: string

### `Readonly` id

id: string

### `Readonly` name

name: string

### `Readonly` referenceId

referenceId: string

### `Readonly` search

search: string

### `Readonly` type

type: string

### `Readonly` updatedAt

updatedAt: null | Date

### `Readonly` videos

videos: BrightcoveVideo[]